Package: org.codehaus.groovy.grails.plugins

## [Java] Class AstPluginDescriptorReader

- org.codehaus.groovy.grails.plugins.AstPluginDescriptorReader

- All Implemented Interfaces and Traits:
    PluginDescriptorReader

      public class AstPluginDescriptorReader
      extends java.lang.Object

  Used to read plugin information from the AST.

  Authors:
    Graeme Rocher
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AstPluginDescriptorReader ()`
    `AstPluginDescriptorReader (groovy.lang.GroovyClassLoader cl)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GrailsPluginInfo` | `readPluginInfo(Resource pluginLocation)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public AstPluginDescriptorReader()

    - #### public AstPluginDescriptorReader(groovy.lang.GroovyClassLoader cl)

  - ### Method Detail

    - #### public GrailsPluginInfo readPluginInfo(Resource pluginLocation)